Skip to main content
POST
/
transactions
/
{txId}
/
set_confirmation_threshold
TypeScript
const response: Promise<FireblocksResponse<SetConfirmationsThresholdResponse>> = fireblocks.transactions.setTransactionConfirmationThreshold(transactionsApiSetTransactionConfirmationThresholdRequest);
{
  "success": true,
  "transactions": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

txId
string
required

The ID of the transaction

Body

application/json
numOfConfirmations
number

Response

Set successfully

success
boolean
transactions
string[]